groovy.json.internal

## Class IO

- java.lang.Object
- - groovy.json.internal.IO

    public class IO
    extends java.lang.Object

Author:
  Rick Hightower

### Constructor Summary

Constructors
Constructor and Description
`IO()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `copy(java.io.Reader input, java.io.Writer output)`
`static long` `copyLarge(java.io.Reader reader, java.io.Writer writer)`
`static long` `copyLarge(java.io.Reader reader, java.io.Writer writer, char[] buffer)`
`static CharBuf` `read(java.io.Reader input, CharBuf charBuf, int bufSize)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IO

    public IO()

### Method Detail

#### read

    public static CharBuf read(java.io.Reader input,
                               CharBuf charBuf,
                               int bufSize)

#### copy

    public static int copy(java.io.Reader input,
                           java.io.Writer output)

#### copyLarge

    public static long copyLarge(java.io.Reader reader,
                                 java.io.Writer writer)

#### copyLarge

    public static long copyLarge(java.io.Reader reader,
                                 java.io.Writer writer,
                                 char[] buffer)